Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version: 3.4.0   

Resolution: Fixed   

Description

This pertains to the change applied in #10412#note-16.

Custom fields of the type version can also have filters and can be rendered as a select menu for editing, both are currently rendered

with the project name and without grouping, as well as not ordered (case in point the Affected version field to create this issue has

"3.3.0" then "2.6.9", "3.0.7" and "3.1.3").

We had thought about adding the project in the name and adding a third element in the inner arrays with the status name in 

source:/trunk/lib/redmine/field_format.rb@15606#L823, and to implement a similar switch whether the inner arrays have 2 or 3

elements in source:/trunk/lib/redmine/field_format.rb@15606#L541 as is done in Javascript for the filter. This would however impact

everything using Redmine::FieldFormat::VersionFormat#possible_values_options, for example #value_from_keyword which would

only recognize version by "project name - version name", and so on.

We would be willing to propose a patch but are unsure what degree of change is acceptable here.

Related issues:

Related to Redmine - Feature #10412: Target version filter shoud group versio... Closed

Related to Redmine - Feature #21577: The version should get a status archived... New

Related to Redmine - Feature #9850: Differentiate shared versions in version-... Closed

Related to Redmine - Feature #15902: Custom Field - Version - Combo list to b... New

Associated revisions

Revision 16194 - 2017-01-14 12:30 - Jean-Philippe Lang

Group versions by status in version custom field filter (#23265).

History

#1 - 2016-08-05 12:11 - Toshi MARUYAMA

- Related to Feature #10412: Target version filter shoud group versions by status added

#2 - 2016-08-05 12:13 - Toshi MARUYAMA

- Description updated

#3 - 2016-09-21 05:47 - Toshi MARUYAMA

- Tracker changed from Defect to Feature

#4 - 2016-09-21 05:47 - Toshi MARUYAMA

- Related to Feature #21577: The version should get a status archived like projects added

#5 - 2017-01-14 12:31 - Jean-Philippe Lang

- Subject changed from Adapt custom field type version filter and selector to same rendering as core version filter to Group versions by status in

version custom field filter

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 3.4.0

- Resolution set to Fixed
https://www.redmine.org/issues/10412#note-16
https://www.redmine.org/projects/redmine/repository/svn/revisions/15606/entry/trunk/lib/redmine/field_format.rb#L823
https://www.redmine.org/projects/redmine/repository/svn/revisions/15606/entry/trunk/lib/redmine/field_format.rb#L541


Done in r16194. Filters for version custom fields are now group by status just like the standard "Target version" filter.

#6 - 2017-01-18 03:03 - Mischa The Evil

- Related to Feature #9850: Differentiate shared versions in version-format custom field drop-downs by prepending its project name added

#7 - 2018-01-25 15:34 - Toshi MARUYAMA

- Related to Feature #15902: Custom Field - Version - Combo list to be grouped by projects.. added
